<template>
  <div>
    <gl-table
      :items="queries"
      :fields="$options.fields"
      sort-by="count"
      :sort-desc="true"
    >
    </gl-table>
  </div>
</template>

<script>
import axios from 'axios';
import { GlTable } from '@gitlab/ui';

export default {
  props: ['queries'],
  fields: [
    {
      key: 'query',
      label: 'query',
      sortable: true,
    },
    {
      key: 'count',
      label: 'Count',
      sortable: true,
    },
  ],
  components: {
    GlTable,
  },
};
</script>
